document.addEventListener('DOMContentLoaded', () => {
  // Add to cart functionality
  const addToCartButtons = document.querySelectorAll('.add-to-cart');
  
  addToCartButtons.forEach(button => {
    button.addEventListener('click', () => {
      const product = button.parentElement;
      const productName = product.querySelector('h3').textContent;
      
      // Animate button
      button.textContent = 'Added!';
      button.style.background = '#27ae60';
      
      setTimeout(() => {
        button.textContent = 'Add to Cart';
        button.style.background = '';
      }, 1000);
      
      // Show notification
      showNotification(`${productName} added to cart!`);
    });
  });
  
  // Notification system
  function showNotification(message) {
    const notification = document.createElement('div');
    notification.className = 'notification';
    notification.textContent = message;
    
    document.body.appendChild(notification);
    
    setTimeout(() => {
      notification.remove();
    }, 3000);
  }
  
  // Smooth scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});